clear;
clc;
r = xlsread('c_ED_L20_dimerized.xls');
%Customcolor=xlsread('Customcolor1.xls');
L=10;
E=70;
R=complex(r);
syms n m;
F = complex(L,L);
for n=1:L
    for m=1:L
        F(n,m)= (n-1)*(m-1);
        end
end
F=exp(-i.*pi.*(2./L).*F);
FFT=(F*R);
for n=1:L+1
    if mod(L,2) == 0
         if n <(L./2+1)
             FFTsym(n,:)=FFT(L./2+n,:);
         else
                 FFTsym(n,:)=FFT(n-L./2,:);
         end
    FFTsym(L+1,:)=FFT(L./2+1,:);
    else
        if n <(L./2)
            FFTsym(n,:)=FFT((L+1)./2+n,:);
        else
        FFTsym(n,:)=FFT(n-(L-1)./2,:);
        end
    end
end
for n=1:L+1
         if n <(L+1)
             FFTextend(n,:)=FFT(n,:);
         else
                 FFTextend(n,:)=FFT(1,:);
         end
end
%absFFT=abs(ctranspose(FFTsym)); %symmetrize about k
%absFFT=abs(ctranspose(FFTextend)); %non-symmetrize about k
absFFT=abs(ctranspose(FFT)); 
X=linspace(-L./2,L./2,L);
X1=linspace(-1.05,0.95,L); %+- Pi
%X1=linspace(-pi,pi,L+1);  %+-2Pi
Y=linspace(-E,E,280);%points number along energy axis
figure(1);
imagesc(X,Y,transpose(abs(real(R))));
colormap(gray);
colorbar;
set(gca,'YDir','normal');
caxis([0.00 0.05]);
figure(2);
imagesc(absFFT);
%imagesc(X1,Y,absFFT);%
imagesc(X1,Y,absFFT);%
colormap(copper);
caxis([0.005 0.065]);
colorbar;
set(gca,'YDir','normal');





